import numpy as np
import pandas as pd

# pd.Series : 1-dim samling av enkle verdier

s = pd.Series([1, 3, 5, np.nan, 6, 8])

print('---- pd.Series ----')
print(s)

# datoer som index

dates = pd.date_range('20130101', periods=6, freq='D')

print('---- pd.date_range ----')
print(dates)

# pd.DataFrame : 2-dim samling av flere "Series", felles index

df = pd.DataFrame(np.random.randn(6, 4), index=dates, columns=list('ABCD'))

print('---- pd.DataFrame ----')
print(df)
print()
print('-- dtypes --')
print(df.dtypes)
print()
print('-- describe --')
print(df.describe())
print()

print('Flere eksempler er her: ')
print('https://pandas.pydata.org/pandas-docs/stable/getting_started/10min.html')

