import pandas as pd
import numpy as np
import pylab as plt

stations = [
"Garnes-2016-01-01-2019-09-16.csv",
#"Haukeland-2016-01-01-2019-09-16.csv",
#"Kaland-2016-01-01-2019-09-16.csv",
#"Lindås-2016-01-01-2019-09-16.csv",
#"Lone-2016-01-01-2019-09-16.csv",
#"Mjølkeråen-2016-01-01-2019-09-16.csv",
#"Salhus-2016-01-01-2019-09-16.csv",
#"Sandgotna-2016-01-01-2019-09-16.csv",
#"Ytre-Arna-2016-01-01-2019-09-16.csv",
"Ytrebygda-2016-01-01-2019-09-16.csv",
]

dfs = []
for stn in stations:
    df = pd.read_csv(
            "bergensveret/"+stn,
            index_col = 0,
            parse_dates = [0],
            na_values = '-9999',
            header = 0,
            names = [
                'dato','trykk','temperatur',
                'vindfart','vindretning',
                'fuktighet'
            ]
    )
    navn = stn.split('-')[0]
    if navn == "Ytre":
        navn = "Ytre-Arna"
    # legg til en kolonne med skolenavn
    df['skole'] = navn
    dfs.append(df)

weather = pd.concat(dfs)
weather['skole'] = weather['skole'].astype('category')

print(weather.dtypes)
print('\n\n\n')
print(weather[weather.skole=='Garnes'].loc['2017-07'].describe())
print()
print(weather[weather.skole=='Garnes'].loc['2018-07'].describe())


#weather.loc[:,'temperatur'].resample('M').mean().plot(label='mean')
#weather.loc['2018','temperatur'].resample('M').max().plot(label='max')
#plt.legend()
#plt.show()


#ukedag = weather.index.weekday_name
#weather[ukedag=='Friday'].loc[:,'temperatur'].resample('3M').mean().plot(label='Fri')
#weather[ukedag=='Monday'].loc[:,'temperatur'].resample('3M').mean().plot(label='Mon')
#plt.legend()
#plt.show()

#ax1 = weather[weather.skole=='Garnes'].loc['2018-07-15',['temperatur','trykk']].plot(subplots=True)
#ax1[0].set_title('Garnes')
#ax2 = weather[weather.skole=='Ytrebygda'].loc['2018-07-15',['temperatur','trykk']].plot(subplots=True)
#ax2[0].set_title('Ytrebygda')
#plt.show()
