import pandas as pd
import numpy as np
import pylab as plt

stations = [
"Garnes-2016-01-01-2019-09-16.csv",
"Haukeland-2016-01-01-2019-09-16.csv",
"Sandgotna-2016-01-01-2019-09-16.csv",
]

dfs = []
for stn in stations:
    df = pd.read_csv(
            "bergensveret/"+stn,
            index_col = 0,
            parse_dates = [0],
            na_values = '-9999',
            header = 0,
            names = [
                'dato','trykk','temperatur',
                'vindfart','vindretning',
                'fuktighet'
            ]
    )
    df['skole'] = stn.split('-')[0]
    dfs.append(df)

weather = pd.concat(dfs)

skolene = ['Garnes','Sandgotna','Haukeland']
for skole in skolene:
    utvalg = weather[weather.skole==skole].loc['2018-07-10':'2018-07-23']
    utvalg.temperatur.plot()

plt.legend(skolene)
plt.title('Bergensværet')
plt.ylabel('Temperatur (˚C)')
plt.xlabel('Dato')

plt.show()
