import pandas as pd
import pylab as plt

station = "bergensveret/Garnes-2016-01-01-2019-09-16.csv"

weather = pd.read_csv(
    station,
    index_col = 0,
    parse_dates = [0],
    na_values = '-9999',
    header = 0,
    names = [
        'dato','trykk','temperatur',
        'vindfart','vindretning',
        'fuktighet'
    ],
)

temp = weather.temperatur
grupper = temp.groupby([temp.index.month,temp.index.hour]).mean()
grupper.unstack(level=0).plot(
    style=['-','--','-.']*4,
    color=['blue']*3+['green']*3+['orange']*3+['purple']*3,
)
plt.title('Bergensværet – Garnes [2016–2019]')
plt.legend(title='Måned',ncol=2)
plt.xlabel('Klokketid')
plt.ylabel('Temperatur (˚C)')

plt.show()
